X2Go Bug report logs - #697
Nightly x2goserver crashes the x2go windows client on connect

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Jasmin Lévesque <jasminlevesque@gmail.com>

Date: Thu, 11 Dec 2014 00:15:01 UTC

Severity: normal

Tags: pending

Fixed in version 4.0.1.19

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Thu, 11 Dec 2014 00:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jasmin Lévesque <jasminlevesque@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message had a Version: pseudo-header with an invalid package version:

git master @HEAD

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 11 Dec 2014 00:15:01 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jasmin Lévesque <jasminlevesque@gmail.com>
To: submit@bugs.x2go.org
Subject: Nightly x2goserver crashes the x2go windows client on connect
Date: Wed, 10 Dec 2014 19:09:44 -0500
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: git master @HEAD


When using the latest x2goserver and connecting with x2go client on
Windows, the client crashes on connect.

I tried the latest nightly build and my own compiled from HEAD (to solve
issue #676), with 2 different clients (v4.0.3.0 & v4.0.2.0)  the behavior
is the same.

I also tried not to use a full fledged KDE session, even with a single
application "xterm" the app crashes. I tried a combination of client-side
configs (no sound, no clipboard, no printing etc..) with the same results.

I created a server with a fresh CentOS install to isolate any possible
server-side configuration issue, the behavior is the same again.

I see that the server creates the ssh connection, the client get to
acknowledge the new server ssh key, the client crashes a few seconds later.
There is no log entries generated in the %userprofile%/.x2go or in the
/home/$USER/.x2go/  folder.

If you can think about any other test case, i'm willing to try them and
provide feedback.

Thanks,


Jasmin Levesque
Senior System Analyst
Vlan! Technologie
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Thu, 11 Dec 2014 10:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 11 Dec 2014 10:05:01 GMT) Full text and rfc822 format available.

Message #10 received at 697@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jasmin Lévesque <jasminlevesque@gmail.com>, 697@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#697: Nightly x2goserver crashes the x2go windows client on connect
Date: Thu, 11 Dec 2014 10:03:09 +0000
[Message part 1 (text/plain, inline)]
Hi Jasmin,

On  Do 11 Dez 2014 01:09:44 CET, Jasmin Lévesque wrote:

> When using the latest x2goserver and connecting with x2go client on
> Windows, the client crashes on connect.
>
> I tried the latest nightly build and my own compiled from HEAD (to solve
> issue #676), with 2 different clients (v4.0.3.0 & v4.0.2.0)  the behavior
> is the same.
>
> I also tried not to use a full fledged KDE session, even with a single
> application "xterm" the app crashes. I tried a combination of client-side
> configs (no sound, no clipboard, no printing etc..) with the same results.
>
> I created a server with a fresh CentOS install to isolate any possible
> server-side configuration issue, the behavior is the same again.
>
> I see that the server creates the ssh connection, the client get to
> acknowledge the new server ssh key, the client crashes a few seconds later.
> There is no log entries generated in the %userprofile%/.x2go or in the
> /home/$USER/.x2go/  folder.
>
> If you can think about any other test case, i'm willing to try them and
> provide feedback.
>
> Thanks,

to narrow down this issue, please try these steps:

  o enable loglevel=debug in /etc/x2go/x2goserver.conf, what do you see in
    /var/log/messages?
  o use a Linux X2Go Client
  o use PyHoca-GUI or PyHoca-CLI as client application for X2Go on a Linux
    machine (with --libdebug option on the cmdline)
  o btw. do you actually see the session window (for desktop sessions)
    appear? (and then disappear?)
  o try ssh user@server -X nxagent :20 (does nxagent come up?)

We have to find out, if your crash is an X2Go Server bug or an NX bug  
on EPEL-7.

Thanks+Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Fri, 12 Dec 2014 03:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jasmin Lévesque <jasminlevesque@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 12 Dec 2014 03:15:02 GMT) Full text and rfc822 format available.

Message #15 received at 697@bugs.x2go.org (full text, mbox):

From: Jasmin Lévesque <jasminlevesque@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 697@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#697: Nightly x2goserver crashes the x2go windows client on connect
Date: Thu, 11 Dec 2014 22:12:50 -0500
[Message part 1 (text/plain, inline)]
> to narrow down this issue, please try these steps:
>
> 1  o enable loglevel=debug in /etc/x2go/x2goserver.conf, what do you see in
>     /var/log/messages?
> 2  o use a Linux X2Go Client
> 3  o use PyHoca-GUI or PyHoca-CLI as client application for X2Go on a Linux
>     machine (with --libdebug option on the cmdline)
> 4  o btw. do you actually see the session window (for desktop sessions)
>     appear? (and then disappear?)
> 5  o try ssh user@server -X nxagent :20 (does nxagent come up?)
>
> We have to find out, if your crash is an X2Go Server bug or an NX bug on
> EPEL-7.
>
> Thanks+Greets,
> Mike
>

1- /var/log/message with debug loglevel on server after a try with a
Windows client:
Dec 11 21:24:42 centos7nightly systemd: Created slice user-1000.slice.
Dec 11 21:24:42 centos7nightly systemd: Starting Session 3 of user jasminl.
Dec 11 21:24:42 centos7nightly systemd: Started Session 3 of user jasminl.
Dec 11 21:24:42 centos7nightly systemd-logind: New session 3 of user
jasminl.
Dec 11 21:24:45 centos7nightly systemd-logind: Removed session 3.

2- On a CentOS 7 machine, with x2goclient:
x2go-INFO-1> "Starting x2goclient..."
x2go-WARNING-1> "Can't load translator: :/x2goclient_en_us"
x2go-WARNING-2> "Can't load translator: :/qt_en_US"
x2go-INFO-3> "Started  x2goclient."
x2go-INFO-8> "Starting connection to server: 10.10.1.147:22"
Segmentation fault (core dumped)


3-On a CentOs 7 machine, PyHoca-GUI rpm dependency boken with epel...
requires notify-python, PyHoca-CLI installs successfully (will created
another bug for that one..) so...
Calling "pyhoca-cli --server 10.10.1.147 --libdebug -q lan --password
mypass":
Traceback (most recent call last):
  File "/usr/bin/pyhoca-cli", line 422, in <module>
    thisPyHocaCLI.authenticate()
  File "/usr/lib/python2.7/site-packages/pyhoca/cli/frontend.py", line 455,
in authenticate
    self._X2GoClient__connect_session(self.x2go_session_hash,
username=_username, password=self.args.password,
force_password_auth=force_password_auth)
  File "/usr/lib/python2.7/site-packages/x2go/client.py", line 1367, in
connect_session
    sshproxy_force_password_auth=sshproxy_force_password_auth,
  File "/usr/lib/python2.7/site-packages/x2go/session.py", line 1355, in
connect
    self.update_status()
  File "/usr/lib/python2.7/site-packages/x2go/session.py", line 1641, in
update_status
    raise e
x2go.x2go_exceptions.X2GoControlSessionException: x2golistsessions command
failed after we have tried 20 times

In the server's /var/log/message:
Dec 11 22:05:33 centos7nightly systemd: Starting Session 14 of user jasminl.
Dec 11 22:05:33 centos7nightly systemd-logind: New session 14 of user
jasminl.
Dec 11 22:05:33 centos7nightly systemd: Started Session 14 of user jasminl.
Dec 11 22:05:33 centos7nightly /usr/bin/x2gofeaturelist: x2gofeaturelist
called with options:
Dec 11 22:06:00 centos7nightly systemd: Failed to mark scope
session-14.scope as abandoned : Stale file handle
Dec 11 22:06:00 centos7nightly systemd-logind: Removed session 14.

While trying to run x2golistsessions on the server:
DBIconnect('dbname=/var/x2go/x2go_sessions','',...)failed:unabletoopendatabasefileat/usr/share/perl5/vendor_perl/X2Go/Server/DB/SQLite3.pmline67.

Could it be possible that the DB was never created / initialized during
x2goserver's install process? or is it something else entirely? Am I using
pyhoca-cli correctly?

4- No, I don't see the same behavior as with bug #675

5- Yes, if by nxagent you mean a black empty window with NX as the title.


Thanks for the followups


Jasmin
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Thu, 08 Jan 2015 22:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 22:55:02 GMT) Full text and rfc822 format available.

Message #20 received at 697@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jasmin Lévesque <jasminlevesque@gmail.com>
Cc: 697@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#697: Nightly x2goserver crashes the x2go windows client on connect
Date: Thu, 08 Jan 2015 22:54:17 +0000
[Message part 1 (text/plain, inline)]
Hi Jasmin,

On  Fr 12 Dez 2014 04:12:50 CET, Jasmin Lévesque wrote:

> While trying to run x2golistsessions on the server:
> DBIconnect('dbname=/var/x2go/x2go_sessions','',...)failed:unabletoopendatabasefileat/usr/share/perl5/vendor_perl/X2Go/Server/DB/SQLite3.pmline67.

Sorry for getting back so late to your follow-up post for #697.

Is the issue solved by now? If not, try

  sudo x2goadmindb --createdb

and re-test session startup. Does that bring a solution?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Thu, 08 Jan 2015 23:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 23:00:02 GMT) Full text and rfc822 format available.

Message #25 received at 697@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jasmin Lévesque <jasminlevesque@gmail.com>
Cc: 697@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#697: Nightly x2goserver crashes the x2go windows client on connect
Date: Thu, 08 Jan 2015 22:56:26 +0000
[Message part 1 (text/plain, inline)]
On  Fr 12 Dez 2014 04:12:50 CET, Jasmin Lévesque wrote:

> While trying to run x2golistsessions on the server:
> DBIconnect('dbname=/var/x2go/x2go_sessions','',...)failed:unabletoopendatabasefileat/usr/share/perl5/vendor_perl/X2Go/Server/DB/SQLite3.pmline67.

Also: the x2go_sessions file should be in /var/lib/x2go/x2go_sessions,  
this was a previous problem with the RPM packages provided by X2Go.

Please adapt the HOME path for system user x2gouser on your system  
(set it to /var/lib/x2go). Then re-run x2godbadmin --createdb (I  
misspelled the command name in my previous mail) and try another  
session startup.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Mon, 12 Jan 2015 02:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jasmin Lévesque <jasminlevesque@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Jan 2015 02:30:02 GMT) Full text and rfc822 format available.

Message #30 received at 697@bugs.x2go.org (full text, mbox):

From: Jasmin Lévesque <jasminlevesque@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 697@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#697: Nightly x2goserver crashes the x2go windows client on connect
Date: Sun, 11 Jan 2015 21:29:26 -0500
[Message part 1 (text/plain, inline)]
Happy new year!

I just did the manual changes you suggested, it works.

So I removed my rebuilt RPMs to install the latest nightly build. It still
creates the "x2gouser" with the wrong HOME path and the x2go_sessions DB is
missing. The version used was x2goserver.x86_64
0:4.1.0.0-0.0x2go1.0.git20150109.1211.heuler.el7.centos.

I've checked the HEAD for spec file in git. In x2goserver.spec, the
usercreate and the DB creation seems ok. Is it possible that the nightly
RPM "git20150109.1211" is not really the latest? Am I missing something?

Thanks for the follow-ups


Jasmin

On Thu, Jan 8, 2015 at 5:56 PM, Mike Gabriel <
mike.gabriel@das-netzwerkteam.de> wrote:

> On  Fr 12 Dez 2014 04:12:50 CET, Jasmin Lévesque wrote:
>
>  While trying to run x2golistsessions on the server:
>> DBIconnect('dbname=/var/x2go/x2go_sessions','',...)failed:
>> unabletoopendatabasefileat/usr/share/perl5/vendor_perl/
>> X2Go/Server/DB/SQLite3.pmline67.
>>
>
> Also: the x2go_sessions file should be in /var/lib/x2go/x2go_sessions,
> this was a previous problem with the RPM packages provided by X2Go.
>
> Please adapt the HOME path for system user x2gouser on your system (set it
> to /var/lib/x2go). Then re-run x2godbadmin --createdb (I misspelled the
> command name in my previous mail) and try another session startup.
>
>
> Mike
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
> netzwerkteam.de.xfb
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Mon, 12 Jan 2015 02:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jasmin Lévesque <jasminlevesque@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Jan 2015 02:45:02 GMT) Full text and rfc822 format available.

Message #35 received at 697@bugs.x2go.org (full text, mbox):

From: Jasmin Lévesque <jasminlevesque@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 697@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#697: Nightly x2goserver crashes the x2go windows client on connect
Date: Sun, 11 Jan 2015 21:44:26 -0500
[Message part 1 (text/plain, inline)]
Found something better while digging HEAD.

In the .spec file, you create the user with: "%{_localstatedir}/x2go" as
the home. On CentOS 7, this would mean /var/x2go, if you want to specify
/var/lib/x2go, you would have to use "%{_sharedstatedir}/x2go". The
x2godbadmin then fails afterwards because /var/x2go doesn't exist and is
not writable by x2gouser.

Hope this helps,


Jasmin
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Mon, 12 Jan 2015 04:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Jan 2015 04:35:02 GMT) Full text and rfc822 format available.

Message #40 received at 697@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jasmin Lévesque <jasminlevesque@gmail.com>
Cc: 697@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#697: Nightly x2goserver crashes the x2go windows client on connect
Date: Mon, 12 Jan 2015 04:33:05 +0000
[Message part 1 (text/plain, inline)]
Hi Jasmin,

On  Mo 12 Jan 2015 03:44:26 CET, Jasmin Lévesque wrote:

> Found something better while digging HEAD.
>
> In the .spec file, you create the user with: "%{_localstatedir}/x2go" as
> the home. On CentOS 7, this would mean /var/x2go, if you want to specify
> /var/lib/x2go, you would have to use "%{_sharedstatedir}/x2go". The
> x2godbadmin then fails afterwards because /var/x2go doesn't exist and is
> not writable by x2gouser.

thanks for digging this out.

I have just searched the web a bit and found [1].

I choose "%{_localstatedir}/lib/x2go" in favour of  
"%{_sharedstatedir}/x2go" for fixing this issue.

Greets
Mike

[1] https://gitlab.labs.nic.cz/labs/knot/issues/48


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Jasmin Lévesque <jasminlevesque@gmail.com>:
Bug#697. (Mon, 12 Jan 2015 04:35:03 GMT) Full text and rfc822 format available.

Message #43 received at 697-submitter@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 697-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 697@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Mon, 12 Jan 2015 05:34:57 +0100 (CET)
tag #697 pending
fixed #697 4.0.1.19
thanks

Hello,

X2Go issue #697 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f800b36

The issue will most likely be fixed in src:x2goserver (4.0.1.19).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit f800b36e71347c396551d8851a21edaf73fb3999
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Jan 12 05:33:50 2015 +0100

    Create system user x2gouser with $HOME in /var/lib/x2go.

diff --git a/debian/changelog b/debian/changelog
index 3f4fae1..da3d137 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -96,6 +96,7 @@ x2goserver (4.0.1.19-0x2go1) UNRELEASED; urgency=medium
       for non-X2Go directories. (Fixes: #676).
     + Remove macro call %systemd_pre for Fedora/EPEL-7 builds. No such macro in
       Fedora/RHEL7. (Fixes: 698).
+    + Create system user x2gouser with $HOME in /var/lib/x2go. (Fixes: #697).
 
   [ Matthew L. Dailey ]
   * New upstream version (4.0.1.19):


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Mon, 12 Jan 2015 04:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Jan 2015 04:40:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 12 Jan 2015 04:40:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.19. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 12 Jan 2015 04:40:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#697; Package x2goserver. (Tue, 24 Feb 2015 20:56:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 24 Feb 2015 20:56:01 GMT) Full text and rfc822 format available.

Message #57 received at 697@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 697-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 697@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Tue, 24 Feb 2015 21:54:13 +0100 (CET)
close #697
thanks

Hello,

we are very hopeful that X2Go issue #697 reported by you
has been resolved in the new release (4.0.1.19) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.19)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=49c91751e560ad09ab4490cc3bd6687509c05755;hp=724d2eefe399485a71e79c705a0aad125e853230

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.19-0x2go1
Status: RELEASE
Date: Tue, 24 Feb 2015 21:49:22 +0100
Fixes: 405 632 633 638 644 664 668 671 672 675 676 678 697 698 700 712 715 727 728 770
Changes: 
 x2goserver (4.0.1.19-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.19):
     - Use File::Which to detect if sshfs command is available
       before trying to mount a client-side folder.
     - Be a bit more tolerant when trying to detect if a
       desktop icon is to be removed (using regexp, not
       eq).
     - Xsession script: Prevent bash failures when sourcing external bash
       scripts beyond our scope. (Fixes: #632, #675).
     - x2gogetapps: Support scanning of sub-directories when searching for
       .desktop files. We allow to dive down one level into subdirs, we on
       purpose do not recursively dive into the complete subtree. (Fixes: #633).
     - Make man2html an optional tool. Don't fail if it is missing on the
       build system (required for openSUSE/SLES builds).
     - Fix x2goserver-xsession/Makefile on SUSE. Detect SUSE distro and create
       Xsession related directory symlinks (xinitrc.d and Xclients.d).
     - Hack for x2goserver-xsession/Makefile during SUSE builds. If
       directoy /usr/share/doc/packages/brp-check-suse is present, the build env
       is also considered to be a SUSE system.
     - Trigger Xsession code for SUSE systems (look for /etc/SUSE-brand or
       /etc/SuSE-release for SUSE system recognition). (Fixes: #671).
     - x2gosqlitewrapper.c: Fix rpmlint error: no-return-in-nonvoid-function.
       Return the exitcode of execve().
     - Fix gramma in error message (in x2goresume-session).
     - x2gocleansessions: Call x2gormforward also on terminated sessions. This
       will make sure that re-assigned ports are really available on new session
       startup.
     - x2golistsessions(_root): Only update session state in session DB if
       x2goagent's state file really exists. This addresses a problem that occurs
       when x2golistsessions gets called via an x2gobroker-agent. The
       x2golistsessions script may show session states (--all-servers) of
       sessions on other servers that have session states files on their remote
       /tmp dirs. These files are not accessible for that x2golistsessions script
       and should simply be ignored. (Fixes: #638).
     - Provide pam_namespace support for has_agent_state_file() function.
     - Fix missing session list output if state file does not exist on the
       machine that runs x2golistsessions(_root).
     - Accept more verbose "DENY" output from x2godesktopsharing.
     - Make sure that all "su"-to-user-contexts use /bin/sh for wrapping around
       the executed command (in x2gocleansessions and x2golistsessions_root).
     - Also enforce /bin/sh as shell in su command in x2goprint.
     - README.i18n: Add file that explains the translation workflow for
       this package. Thanks to Mark Pedersen-Cook for drafting this file.
     - Make SSH agent forwarding work after having reconnected via SSH and
       having resumed a session. (Fixes: #672). Thanks to Robert Siemer for
       coming up with that idea.
     - Fix cross-user X2Go Desktop Sharing after being broken by implementing
       clipboard mode feature (and probably other code changes).
     - Document session startup / resumption failures (and their reasons) in
       server-side log output.
     - Handle AD domain users gracefully when X2Go is used with SQLite DB
       backend. (Fixes: #664).
     - Improve sanitizer, use 'x2gosid' sanitizer for session IDs everywhere.
       Drop unused 'pnixusername' sanitizer in 4.0.1.x release of X2Go Server.
     - Allow usernames in session IDs of length 48 chars.
     - Start sshfs with a timeout of 30 seconds (because it never finishes if
       something is wrong with the client-side TCP socket). Also remove/unmount
       mountpoints erroneously registered sshfs mountpoints if sshfs command
       times out. Furthermore, print errors to STDERR (not STDOUT). (Fixes:
       #405).
     - Handle execution of ss command from Perl script x2golistdesktops in a way
       that not only works on Debian, but also on Fedora et al. (Fixes: #727).
     - Provide legacy support for old File::Path packages in x2godbadmin.
       (Fixes: #715).
     - Fix wrong evocation of x2gosyslog ("error" -> "err").
     - Use "undef $dbh" instead of "$dbh->disconnect()". Fixes SQLite3 issues on
       SLE 11.x.
     - Only call $dbh->sqlite_busy_timeout() if the $dbh object is capable of
       that. Works around a too-old DBD::SQLite package on SLE 11.x.
     - Legacy for applications (and X2Go scripts) that expect $SSH_CLIENT to be
       set in the X2Go session's environment. (Fixes: #644).
     - Add man page for x2gogetapps. Weave into that a security / disclaimer
       message as proposed by Stefan Baur. (Fixes: #728).
   * debian/control:
     + Add D (x2goserver): libfile-which-perl.
     + Add C (x2goserver: x2godesktopsharing (<< 3.1.1.2-0~). (Fixes: #700).
     + Bump Standards: to 3.9.6. No changes needed.
     + Don't depend on libdb-pg-perl for armhf builds. (Fixes: #712). Thanks to
       Heinrich Schuchardt for providing information on this.
     + Upgrade to D again (bin:package x2goserver): xfonts-base (Fixes: #770).
   * debian/x2goserver.docs:
     + Install README.i18n file into bin:package x2goserver.
   * x2goserver.spec:
     + Add to R: perl(File::Which).
     + Additionally adapt to building on openSUSE/SLES.
     + No shell expansion possible in obs-build, detect perl version only for
       non-SUSE builds.
     + Add to R: x2goserver-xsession.
     + Don't mention /etc/x2go/x2gosql/sql twice (directly and with wildcard).
     + No %{_sysconfdir}/x2go/Xclients.d on SUSE systems.
     + Use %{_localstatedir} instead of %{_sharedstatedir}.
     + Use proper if... then... clauses.
     + For SUSE builds: Add to R: shadow (useradd, groupadd).
     + Replace historical "egrep" with "grep -E".
     + Systemd support for SUSE >= 12.10.
     + Set %defattr macro for every bin:package.
     + SUSE and Fedora/RHEL have different package group names.
     + Add x2goserver-rpmlintrc file to handle some rpmlint errors and warnings.
     + SUSE has openssh, but no openssh-server.
     + Add to R (x2goserver): perl-X2Go-Server.
     + Add to R (diverse): perl(Config::Simple), perl(Switch) and
       perl(Capture::Tiny).
     + Add to R (x2goserver): perl(File::BaseDir).
     + Don't hard-code /var/lib/ in $HOME path of to-be-created user
       "x2gouser".
     + Add to BR: findutils.
     + For Fedora-like systems, don't make x2goserver bin:package authoritative
       for non-X2Go directories. (Fixes: #676).
     + Remove macro call %systemd_pre for Fedora/EPEL-7 builds. No such macro in
       Fedora/RHEL7. (Fixes: 698).
     + Create system user x2gouser with $HOME in /var/lib/x2go. (Fixes: #697).
     + Always set BuildRoot: parameter.
     + BuildRequires: SUSE <= 11.3 has xorg-x11, not xinit.
     + Requires (x2goserver-xsession): SUSE <= 11.3 has xorg-x11, not xinit.
     + No Bashisms in scriptlets.
     + rpmlint requires shared-mime-info at build time on SLE <= 11.3.
     + "%set_permissions" / "%verify_permissions" macros are not know in SLE <=
       11.3. Using "%run permissions" and "%verify permissions" instead.
     + On SUSE, add permissions.d/x2goserver.
     + Fix SQLite wrapper permissions (02775 -> 02755)
     + Use if then clauses for creating user/group x2goprint.
 .
   [ Matthew L. Dailey ]
   * New upstream version (4.0.1.19):
     - x2gocleansessions: Redirect stdin, stdout and stderr to /dev/null, test
       for the existence of the file descriptor before issuing the close,
       only capture the file descriptor backreference in the regex and
       send any close failures to syslog. (Fixes: #678).
 .
   [ Lars Wendler ]
   * New upstream version (4.0.1.19):
     - Use "printf" instead of "echo -n". (Fixes: #668).


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 24 Feb 2015 20:56:14 GMT) Full text and rfc822 format available.

Notification sent to Jasmin Lévesque <jasminlevesque@gmail.com>:
Bug acknowledged by developer. (Tue, 24 Feb 2015 20:56:14 GMT) Full text and rfc822 format available.

Message sent on to Jasmin Lévesque <jasminlevesque@gmail.com>:
Bug#697. (Tue, 24 Feb 2015 20:56:25 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 25 Mar 2015 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 15:17:35 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.